# NonExtensible

@Documented
@Retention(value = RetentionPolicy.RUNTIME)
@Inherited
@Target(value = [ElementType.TYPE])
annotation class NonExtensible

Indicates that the type, when DSL enhanced, does not support extensibility.

This means that it will not be enhanced with org.gradle.api.plugins.ExtensionAware.

## Functions

annotationType
Link copied to clipboard
abstract fun annotationType(): Class<out Annotation>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
toString
Link copied to clipboard
abstract fun toString(): String